Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.map
Class IdentityMap.IdentityEntry

    java.lang.Object
      org.apache.commons.collections.map.AbstractHashedMap.HashEntry
          org.apache.commons.collections.map.IdentityMap.IdentityEntry

All Implemented Interfaces:
  java.util.Map.Entry, KeyValue

Enclosing class:
  IdentityMap

    protected static class IdentityMap.IdentityEntry

extends AbstractHashedMap.HashEntry

HashEntry

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashEntry
`hashCode, key, next, value`

Constructor Summary
`protected` | `IdentityMap.IdentityEntry(AbstractHashedMap.HashEntry next, int hashCode, java.lang.Object key, java.lang.Object value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`

Methods inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashEntry
`getKey, getValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdentityMap.IdentityEntry

    protected IdentityMap.IdentityEntry(AbstractHashedMap.HashEntry next,
                                        int hashCode,
                                        java.lang.Object key,
                                        java.lang.Object value)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `java.util.Map.Entry`
  Overrides:
    `equals` in class `AbstractHashedMap.HashEntry`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map.Entry`
  Overrides:
    `hashCode` in class `AbstractHashedMap.HashEntry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.